summaryrefslogtreecommitdiffstats
path: root/libraries/pgtcl-ng/pgtcl-ng.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/pgtcl-ng/pgtcl-ng.SlackBuild')
-rw-r--r--libraries/pgtcl-ng/pgtcl-ng.SlackBuild47
1 files changed, 31 insertions, 16 deletions
diff --git a/libraries/pgtcl-ng/pgtcl-ng.SlackBuild b/libraries/pgtcl-ng/pgtcl-ng.SlackBuild
index 31eb80222e..0c41ce419f 100644
--- a/libraries/pgtcl-ng/pgtcl-ng.SlackBuild
+++ b/libraries/pgtcl-ng/pgtcl-ng.SlackBuild
@@ -2,21 +2,38 @@
# Slackware build script for pgtcl-ng
-# Written by Richard Ellis (rellis@dp100.com)
-
-# Released into the public domain June 12, 2009
+# Copyright 2011 Richard Ellis, Arlington, Virginia, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Version 1 - June 12, 2009
+# Updated for Slackware 13.37 and pgtcl-ng 2.0.0 Dec 18, 2011
PRGNAM=pgtcl-ng
-VERSION=${VERSION:-1.6.2}
+VERSION=${VERSION:-2.0.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -46,11 +63,9 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/pgtcl$VERSION.tar.gz
-# the source tarball unpacks into a dir named pgtcl1.6.2, change that to
-# pgtcl-ng-1.6.2, this avoids having to make many mods to the buildscript to
-# handle the differences
-mv pgtcl1.6.2 pgtcl-ng-1.6.2
+tar xvf $CWD/pgtcl${VERSION}.tar.gz
+mv pgtcl${VERSION} $PRGNAM-2.0.0
+
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -73,8 +88,11 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# tarball install script creates an empty usr/bin directory, remove it now
+rmdir $PKG/usr/bin
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -82,8 +100,5 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# tarball install script creates an empty usr/bin directory, remove it now
-rmdir $PKG/usr/bin
-
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}